/* *********************************************************
               Function declarations
  ********************************************************* */

void Initialize(void);
void feed(void);

void IRQ_Routine (void)   __attribute__ ((interrupt("IRQ")));
void FIQ_Routine (void)   __attribute__ ((interrupt("FIQ")));
void SWI_Routine (void)   __attribute__ ((interrupt("SWI")));
void UNDEF_Routine (void) __attribute__ ((interrupt("UNDEF")));

/**********************************************************
                  Header files
 **********************************************************/
#include "LPC23xx.h"
#include "type.h"
#include "irq.h"
//#include "target.h" Not included in KEIL
#include "fio.h"
#include "uart.h"

extern volatile DWORD UART0Count;
extern volatile BYTE UART0Buffer[BUFSIZE];
extern volatile DWORD UART1Count;
extern volatile BYTE UART1Buffer[BUFSIZE];

// LED1 (MCIPWR on Olimex LPC-2378-STK has an indicator LED)

/**********************************************************
                       MAIN
**********************************************************/
int	main (void) 

{
	
	long	j;										// loop counter (stack variable)
	// set io pins for led P0.21
	IODIR0 |= 0x00200000;	// pin P0.21 is an output, everything else is input after reset
	IOSET0 =  0x00200000;	// led off
	IOCLR0 =  0x00200000;	// led on
	
	// endless loop to toggle the red  LED P0.21
	while (1) 
	{
		{
			
				
				if ( UART0Count != 0 )
					{
	  					
	  					IOCLR0 = 0x00200000;
						for (j = 0; j < 2000000; j++ );
						IOSET0 = 0x00200000;
						for (j = 0; j < 2000000; j++ );
	  					
	  					U0IER = IER_THRE | IER_RLS;			/* Disable RBR */
	  				    UARTSend( 0, (BYTE *)UART0Buffer, UART0Count );
	  				    UART0Count = 0;
	  					U0IER = IER_THRE | IER_RLS | IER_RBR;	/* Re-enable RBR */
					}
				
		 } 
	}
	//return 0;
   	
} //end main








/*  Stubs for various interrupts (may be replaced later)  */
/*  ----------------------------------------------------  */

void IRQ_Routine (void) {
	while (1) ;	
}

void FIQ_Routine (void)  {
	while (1) ;	
}


void SWI_Routine (void)  {
	while (1) ;	
}


void UNDEF_Routine (void) {
	while (1) ;	
}










